Update catalog

🔐 This endpoint requires HTTP authentication (either Basic or Bearer). For authenticating with Bearer token, required scopes are: catalog(w), search_suggestions(w).

Send delta catalog files to replace the current catalog. You may upload up to three files in the form data under the following keys: items, variations, item_groups. If you do not wish to replace one of these types of resources then omit it from the request. Any records that already exist will be deleted and replaced with the records you provide in the files. Returns an identifier for a background task.

Query Params
string
required
length between 1 and 100

The key of the index to use.

string
length between 1 and 100

The section of the index to use. Defaults to Products.

string
length between 1 and 100

The ID of the client and version that the request is coming from, such as cio-js-2.90.

boolean
Defaults to false

A flag to process the catalog even if it will invalidate a large part of existing data. Defaults to False.

notification_email
array of strings

The email address(es) to send a notification to if the task fails. Multiple addresses may be specified for multiple recipients.

Notification Email
boolean
Defaults to false

A flag to process updates as partial updates, meaning only provided fields will be updated in database. Fields not included in the upload or which are blank for a particular item will be ignored.

enum

The strategy used to handle items that exist in the file and do not exist in the index. IGNORE silently ignores them and does not add them to the index, CREATE creates them, FAIL fails the ingestion. Can be set only when patch_delta is true. Default is FAIL.

Allowed:
enum
Defaults to csv

File format of the uploaded items and variations files. Can be either csv or jsonl.

Allowed:
Body Params
file

File with items in CSV or JSONL format

file

File with variations in CSV or JSONL format

file

File with item groups in CSV or JSONL format

Responses

400

Validation Error

401

Credentials are not passed or action is forbidden.

403

The supplied token does not have the required permissions.

429

Rate limit breached

Language
Credentials
:
Response
Choose an example:
application/json